## update-amd-pro-nonpro-16.60-411349 4

=== src/amdgpu-pro-16.60-411349/Makefile ===
ifneq (,$(wildcard /etc/os-release))
OS_NAME = "$(shell sed -n 's/^ID=\(.*\)/\1/p' /etc/os-release | tr -d '\"')"
OS_VERSION = $(shell sed -n 's/^VERSION_ID=\(.*\)/\1/p' /etc/os-release)
else ifneq (,$(wildcard /etc/redhat-release))
OS_NAME = "rhel"
OS_VERSION = "$(shell sed -n -e 's/[^0-9]*\([0-9]*.[0-9]*\).*/\1/p' /etc/redhat-release)"
else
OS_NAME = "unknown"
OS_VERSION = "0.0"
endif

ifeq ("centos",$(OS_NAME))
OS_NAME = "rhel"
OS_VERSION = "$(shell sed -n -e 's/[^0-9]*\([0-9]*.[0-9]*\).*/\1/p' /etc/centos-release-upstream)"
endif

ifeq ("rhel",$(OS_NAME))
subdir-ccflags-y += -DOS_NAME_RHEL
else ifeq ("ubuntu",$(OS_NAME))
subdir-ccflags-y += -DOS_NAME_UBUNTU
else ifeq ("steamos",$(OS_NAME))
subdir-ccflags-y += -DOS_NAME_STEAMOS
else ifeq ("sled",$(OS_NAME))
subdir-ccflags-y += -DOS_NAME_SLE
else ifeq ("sles",$(OS_NAME))
subdir-ccflags-y += -DOS_NAME_SLE
else
subdir-ccflags-y += -DOS_NAME_UNKNOWN
endif

subdir-ccflags-y += \
	-DOS_VERSION_MAJOR=$(shell echo $(OS_VERSION).0 | cut -d. -f1) \
	-DOS_VERSION_MINOR=$(shell echo $(OS_VERSION).0 | cut -d. -f2)

ifeq ($(OS_NAME),"ubuntu")
OS_BUILD_NUM = $(shell echo $(KERNELRELEASE) | cut -d '-' -f 2)
subdir-ccflags-y += -DUBUNTU_BUILD_NUM=$(OS_BUILD_NUM)
ifeq ($(OS_VERSION),"14.04")
subdir-ccflags-y += -DOS_NAME_UBUNTU_1404
else
subdir-ccflags-y += -DOS_NAME_UBUNTU_1604
endif
endif

ifeq ($(OS_NAME),"rhel")
ifeq ($(OS_VERSION),"6.8")
subdir-ccflags-y += -DOS_NAME_RHEL_6
else ifeq ($(OS_VERSION),"7.2")
subdir-ccflags-y += -DOS_NAME_RHEL_7_2
else ifeq ($(OS_VERSION),"7.3")
subdir-ccflags-y += -DOS_NAME_RHEL_7_3
endif
subdir-ccflags-y += \
	-include /usr/src/kernels/$(KERNELRELEASE)/include/drm/drm_backport.h
endif

DKMS_INCLUDE_PREFIX = \
	-I$(src)/include \
	-I$(src)/include/drm \
	-I$(src)/include/uapi \
	-include $(src)/include/rename_symbol.h

export OS_NAME OS_VERSION DKMS_INCLUDE_PREFIX

export CONFIG_DRM_TTM=m
export CONFIG_DRM_AMDGPU=m
export BUILD_AS_DKMS=y
export CONFIG_DRM_AMDGPU_CIK=y
export CONFIG_DRM_AMDGPU_SI=y
export CONFIG_DRM_AMDGPU_USERPTR=y
export CONFIG_DRM_AMD_POWERPLAY=y
export CONFIG_DRM_AMD_DC=y

subdir-ccflags-y += -DBUILD_AS_DKMS
subdir-ccflags-y += -DCONFIG_DRM_AMDGPU_CIK
subdir-ccflags-y += -DCONFIG_DRM_AMDGPU_SI
subdir-ccflags-y += -DCONFIG_DRM_AMDGPU_USERPTR
subdir-ccflags-y += -DCONFIG_DRM_AMD_POWERPLAY
subdir-ccflags-y += -DCONFIG_DRM_AMD_DC=y

obj-m += amd/amdgpu/ ttm/ amd/amdkcl/

=== src/amdgpu-pro-16.60-411349/ttm/backport/Makefile ===

LINUXINCLUDE := $(DKMS_INCLUDE_PREFIX) $(LINUXINCLUDE)

ccflags-y += \
	-include $(TTM_FULL_PATH)/backport/backport.h

=== src/amdgpu-pro-16.60-411349/amd/display/dc/basics/Makefile ===
#
# Makefile for the 'utils' sub-component of DAL.
# It provides the general basic services required by other DAL
# subcomponents.

BASICS = conversion.o fixpt31_32.o fixpt32_32.o grph_object_id.o \
	logger.o log_helpers.o register_logger.o signal_types.o vector.o

AMD_DAL_BASICS = $(addprefix $(AMDDALPATH)/dc/basics/,$(BASICS))

AMD_DISPLAY_FILES += $(AMD_DAL_BASICS)

=== src/amdgpu-pro-16.60-411349/amd/display/dc/dce112/Makefile ===
#
# Makefile for the 'controller' sub-component of DAL.
# It provides the control and status of HW CRTC block.

DCE112 = dce112_compressor.o dce112_hw_sequencer.o \
dce112_resource.o dce112_mem_input.o dce112_opp_formatter.o \
dce112_opp.o

AMD_DAL_DCE112 = $(addprefix $(AMDDALPATH)/dc/dce112/,$(DCE112))

AMD_DISPLAY_FILES += $(AMD_DAL_DCE112)

=== debian/changelog ===
update-amd-pro-nonpro-16.60-411349 (4) xenial; urgency=medium

  * Apply fake update-secureboot-policy workaround. (LP: #1687886)

 -- Cyrus Lien <cyrus.lien@canonical.com>  Mon, 08 May 2017 14:02:35 +0800

update-amd-pro-nonpro-16.60-411349 (3) xenial; urgency=medium

  * Fix amdgpu driver updater get stuck and can't finish upgrade process issue. (LP: #1687886) 

 -- Cyrus Lien <cyrus.lien@canonical.com>  Thu, 04 May 2017 13:07:42 +0800

update-amd-pro-nonpro-16.60-411349 (2) xenial; urgency=medium

  * Online update for ducati-p-kbl performance mode screen blinking issue. (LP: #1650106)
    - amdgpu-pro-16.60-411349.tar.xz was re-packaged from 16.60-411349-hybrid_rel.u1604_64.zip

 -- Cyrus Lien <cyrus.lien@canonical.com>  Fri, 28 Apr 2017 14:42:11 +0800

update-amd-pro-nonpro-16.60-411349 (1) xenial; urgency=medium

  * Initial release

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Fri, 21 Apr 2017 13:02:25 +0800

=== debian/control ===
Source: update-amd-pro-nonpro-16.60-411349
Section: misc
Priority: optional
Maintainer: Commercial Engineering <commercial-engineering@canonical.com>
Build-Depends: debhelper (>= 9), dh-modaliases
Standards-Version: 3.9.7
Vcs-Git: lp:~oem-solutions-engineers/somerville/+git/update-amd-pro-nonpro
Vcs-Browser: https://code.launchpad.net/~oem-solutions-engineers/somerville/+git/update-amd-pro-nonpro

Package: update-amd-pro-nonpro-16.60-411349
Architecture: all
Pre-Depends: debconf (>= 0.5) | debconf-2.0
Depends:  ${misc:Depends}
XB-Modaliases: ${modaliases}
Description: a package which is used to update AMD driver.
 Because of AMD does not have ppa to host drivers, so we use this package to update driver.
